import 'dart:async';

abstract class ICommand {
  FutureOr<void> execute();
}

enum CliCommands { generate, init, help }

const Map<String, CliCommands> cliCommands = {
  "generate": CliCommands.generate,
  "init": CliCommands.init,
  "help": CliCommands.help,
};

String redPrint(String string) => "";
