extension PathUtils on String {
  String folderName() {
    return this.split("/").last;
  }

  String capitalizeChar({String char = "_"}) {
    List<String> underScores = [];

    if (split(char).length == 1 && length >= 2) {
      return "${this[0].toUpperCase()}${this.substring(1).toLowerCase()}";
    }

    split(char).forEach((element) {
      underScores.add("$char${element[0]}");
    });
    String capitalize = this.capitalizeChar(char: "-").capitalize();
    for (var i = 0; i < underScores.length; i++) {
      try {
        capitalize = capitalize.replaceAll(underScores[i], underScores[i].toUpperCase().substring(1));
      } catch (_) {}
    }
    return capitalize.trim();
  }

  String capitalize() {
    return "${this[0].toUpperCase()}${this.substring(1).toLowerCase().trim()}";
  }

  String firstLower() {
    String string = this;
    return "${string[0].toLowerCase()}${string.substring(1).trim()}";
  }

  String upperToUnderScore() {
    List<String> upper = ["A", "B", "C", "D", "E", "F", "G", "H", "I", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Z"];
    if (length == 1) {
      return this.toLowerCase();
    }
    String string = this.substring(1);
    upper.forEach((element) {
      string = string.replaceAll(element, "_${element.toLowerCase()}");
    });
    return "${this[0].toLowerCase()}${string}";
  }
}
