/// paths of flutter structure folders
const String basePath = "lib";
const String configDir = "lib/config";
const String routerDir = "lib/router";
const String modelsDir = "lib/models";
const String modelsDataDir = "lib/models/data";
const String modelsResponseDir = "lib/models/responses";
const String uiWidgetsDir = "lib/ui/widgets";
const String loaderWidgetsDir = "lib/ui/widgets/loaders";
const String buttonsWidgetsDir = "lib/ui/widgets/buttons";
const String infiniteScrollWidgetsDir = "lib/ui/widgets/infinite_scroll_view";
const String animationsWidgetsDir = "lib/ui/widgets/animations";
const String singletonWidgetsDir = "lib/ui/widgets/singleton";
const String coreResponsiveDir = "lib/ui/core/responsive";
const String uiModelsDir = "lib/models/ui_models";
const String storageDir = "lib/storage";
const String extensionsDir = "lib/extensions";
const String coreEventsDir = "lib/ui/core/events";
const String coreLayoutsDir = "lib/ui/core/layouts";
const String coreProviderDir = "lib/ui/core/providers";
const String resourcesColorsDir = "lib/ui/resources/colors";
const String resourcesDimensDir = "lib/ui/resources/dimensions";
const String resourcesThemesDir = "lib/ui/resources/themes";
const String assetsDir = "assets";
const String localizationDir = "assets/localization";
const String formsModelDir = "lib/models/forms";
const String formsWidgetsDir = "lib/ui/widgets/text_fields";
String mobileDir(path) => "lib/${path}/mobile";
String tabletDir(path) => "lib/${path}/tablet";
String viewmodelDir(path) => "lib/${path}/viewmodels";
String widgetsDir(path) => "lib/${path}/widgets";
