import 'package:xflutter_cli/src/extensions/file_extension.dart';

String packageName = "";
String pubspec = "";
List<String> cliArguments = [];

Future<void> initPubspec() async {
  try {
    pubspec = await readFileAsString("pubspec.yaml");
    packageName = pubspec.split("\n").first.split(" ").last.trim();
  } catch (_) {}
}

/// flutter framework import packeges
const String materialPackage = "'package:flutter/material.dart'";
const String providerPackage = "'package:provider/provider.dart'";
const String formzPackage = "'package:formz/formz.dart'";
const String getItPackage = "'package:get_it/get_it.dart'";
const String liveDataPackage = "'package:flutterx_live_data/flutterx_live_data.dart'";
const String autoRoutePackage = "'package:auto_route/auto_route.dart'";
const String freezedAnnotationPackage = "'package:freezed_annotation/freezed_annotation.dart'";
